<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ProfileService.aspx.cs" Inherits="ProfileService" EnableEventValidation="false"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Profile Service</title>
    <script language="javascript" type="text/javascript">
        function saveProfiles()
        {
            var properties = Sys.Services.ProfileService.properties;
            properties.Name = $get("txtName").value;
            properties.Age = parseInt($get("txtAge").value, 10);
            properties.Address.City = $get("txtCity").value;
            properties.Address.PostalCode = $get("txtPostalCode").value;
            
            Sys.Services.ProfileService.save(
                null,
                saveCompleted);
        }
        
        function saveCompleted()
        {
            $get("message").innerHTML = "Profile Saved";
        }
        
        function loadProfiles()
        {
            Sys.Services.ProfileService.load(
                null,
                loadCompleted);
        }
        
        function loadCompleted()
        {
            var properties = Sys.Services.ProfileService.properties;
            if (properties.Age) // contains profile
            {
                $get("txtName").value= properties.Name;
                $get("txtAge").value= properties.Age;
                $get("txtCity").value = properties.Address.City;
                $get("txtPostalCode").value = properties.Address.PostalCode;
                
                $get("message").innerHTML = "Profile Loaded";
            }
            else
            {
                $get("txtName").value= "";
                $get("txtAge").value= "";
                $get("txtCity").value = "";
                $get("txtPostalCode").value = "";
                
                $get("message").innerHTML = "No Profile";
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
        
        <asp:TextBox ID="txtUserName" runat="server"></asp:TextBox>
        <asp:Button ID="btnLogIn" runat="server" Text="Login" OnClick="btnLogin_Click" />
        <asp:Button ID="btnLogout" runat="server" Text="Logout" OnClick="btnLogout_Click" />
        <hr />
        
        Name: <input type="text" id="txtName" /><br />
        Age: <input type="text" id="txtAge" /><br />
        Email: <input type="text" id="txtEmail" /><br />
        City: <input type="text" id="txtCity" /><br />
        Street: <input type="text" id="txtStreet" /><br />
        Postal Code: <input type="text" id="txtPostalCode" /><br />
        
        <div id="message" style="color:Red;"></div><br />
        
        <input type="button" value="Show" onclick="loadProfiles()" />
        <input type="button" value="Save" onclick="saveProfiles()" />
    </form>
</body>
</html>
